/* ref: https://tailwindcss.com/docs/guides/create-react-app#include-tailwind-in-your-css */
@tailwind base;
@tailwind components;
@tailwind utilities;
@layer base {
	* {
		font-family: 'Inconsolata', 'Source Code Pro', 'Roboto mono',
			'Lucida Console', Courier, Menlo, Monaco, Consolas, 'Courier New',
			ui-monospace, monospace;
		@apply font-thin text-md;
	}
	h1,
	h2,
	h3,
	h4,
	h5,
	h6 {
		@apply py-3;
		font-family: 'ZCOOL KuaiLe';
	}
	h1 {
		@apply text-4xl;
	}
	h2 {
		@apply text-3xl;
	}
	h3 {
		@apply text-2xl;
	}
	h4 {
		@apply text-xl;
	}
	h5 {
		@apply text-lg;
	}
	ol,
	p,
	ul {
		@apply py-2;
	}
	input,
	select,
	textarea {
		@apply my-2;
	}
	a {
		@apply font-bold opacity-75 text-gray-500 transition-all underline;
	}
	a:hover {
		@apply opacity-100 text-green-600 transition-all;
	}

	@screen sm {
		h1 {
			@apply text-5xl;
		}
		h2 {
			@apply text-4xl;
		}
		h3 {
			@apply text-3xl;
		}
		h4 {
			@apply text-2xl;
		}
		h5 {
			@apply text-xl;
		}
	}

	@screen md {
		h1 {
			@apply text-6xl;
		}
		h2 {
			@apply text-5xl;
		}
		h3 {
			@apply text-4xl;
		}
		h4 {
			@apply text-3xl;
		}
		h5 {
			@apply text-2xl;
		}
		ol,
		p,
		ul {
			@apply py-3;
		}
		input,
		select,
		textarea {
			@apply my-3;
		}
		input[type='checkbox'] {
			@apply my-6;
		}
	}

	@screen lg {
		* {
			@apply text-lg;
		}
		h1 {
			@apply text-7xl;
		}
		h2 {
			@apply text-6xl;
		}
		h3 {
			@apply text-5xl;
		}
		h4 {
			@apply text-4xl;
		}
		h5 {
			@apply text-3xl;
		}
	}
	b,
	strong {
		@apply font-bold;
	}
	label input[type='checkbox'],
	label input[type='date'],
	label input[type='range'],
	label input[type='radio'] {
		@apply mx-2;
	}

	a,
	a:active,
	a:focus-visible,
	button,
	button:active,
	button:focus-visible,
	input:active,
	input:focus-visible,
	select:active,
	select:focus-visible,
	textarea:active,
	textarea:focus-visible {
		@apply outline-none;
	}

	input,
	select,
	textarea {
		@apply border-4 border-dashed border-gray-400 p-1 px-2;
	}
	textarea {
		min-height: 4em;
	}
	hr {
		@apply border border-gray-400 border-dashed;
	}
}

body {
	margin: 0;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	background-repeat: repeat;
	background-size: cover;
}

select {
	background-color: transparent;
}
